Loading...
Searching...
No Matches
websocketpp::http::error Namespace Reference

HTTP parser errors. More...

## Classes

class | category
| HTTP parser error category. More...

## Enumerations

enum | value { general = 1 , invalid_format , invalid_header_name , body_too_large , unsupported_transfer_encoding , unknown_transfer_encoding , missing_header_separator , request_header_fields_too_large , incomplete_request , incomplete_status_line , istream_bad , istream_overread }

## Functions

status_code::value | get_status_code (error::value value)
| Get the HTTP status code associated with the error.
lib::error_category const & | get_category ()
| Get a reference to a static copy of the asio transport error category.
lib::error_code | make_error_code (error::value e)
| Create an error code with the given value and the asio transport category.

## Detailed Description

HTTP parser errors.

## Enumeration Type Documentation

## value

enum websocketpp::http::error::value

Enumerator
general | Catch-all error for http parser errors that don't fit in other categories
invalid_format | The specified data contains illegal characters for the context.
invalid_header_name | The header name specified contains illegal characters.
body_too_large | The body value is larger than the configured maximum size.
unsupported_transfer_encoding | The transfer encoding is not supported.
unknown_transfer_encoding | The transfer encoding is unknown.
missing_header_separator | A header line was missing a separator.
request_header_fields_too_large | The request headers are larger than the configured maximum size.
incomplete_request | The request was missing some required values.
incomplete_status_line | The response status line was missing some required values.
istream_bad | An istream read command returned with the bad flag set.
istream_overread | An istream read succeeded but read (and discarded) more bits from the stream than it needed

Definition at line 326 of file constants.hpp.

## Function Documentation

## get_category()

lib::error_category const & websocketpp::http::error::get_category | ( |  | ) |

inline

Get a reference to a static copy of the asio transport error category.

Definition at line 438 of file constants.hpp.

## get_status_code()

status_code::value websocketpp::http::error::get_status_code | ( | error::value | value | ) |

inline

Get the HTTP status code associated with the error.

Definition at line 367 of file constants.hpp.

## make_error_code()

lib::error_code websocketpp::http::error::make_error_code | ( | error::value | e | ) |

inline

Create an error code with the given value and the asio transport category.

Definition at line 444 of file constants.hpp.